Subject: Re: [PATCH 1/3] [NET-NEXT]: Add DCB netlink interface definition

From: Thomas Graf <[email-masked]>
Date: Wed, 28 May 2008 11:41:40 +0200

* PJ Waskiewicz <[email-masked]> 2008-05-27 07:13
> This patch adds the netlink interface definition for Data Center Bridging.
> This technology uses 802.1Qaz and 801.1Qbb for extending ethernet to
> converge different traffic types on a single link.  E.g. Fibre Channel
> over Ethernet and regular LAN traffic.  The goal is to use priority flow
> control to pause individual flows at the MAC/network level, without
> impacting other network flows.

Is there a specific reason why you used a separate generic netlink
interface instead of embedding this into the regular link message
via either IFLA_DCB or by using the info API?